Bug 242098 - doxygen doesn't escape " when generating dot files
doxygen doesn't escape " when generating dot files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: doxygen (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Brian Brock
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-01 13:21 EDT by Mads Kiilerich
Modified: 2008-01-11 17:27 EST (History)
0 users

See Also:
Fixed In Version: 1.5.4-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 17:02:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 433630 None None None Never

  None (edit)
Description Mads Kiilerich 2007-06-01 13:21:03 EDT
Description of problem:
Doxygen generates dot files with invalid syntax when quotation marks appears in
docstrings

Version-Release number of selected component (if applicable):
doxygen-1.5.2-1.fc7

How reproducible:
script below

Steps to Reproduce:
$ echo "HAVE_DOT=YES" > Doxyfile
$ echo "QUIET=YES" >> Doxyfile
$ echo "WARN_IF_UNDOCUMENTED=NO" >> Doxyfile
$ echo '/// "http://example.com/"' > foo.h
$ echo 'class foo { }; class bar : public foo { };' >> foo.h
$ doxygen 
  
Actual results:
Error: inherit__graph__0.dot:6: syntax error near line 6
context:   Node1 [label="foo",height=0.2,width=0.4,color="black",
fillcolor="white", >>>  style="filled",URL="$classfoo.html",tooltip=""http: <<<
//example.com/""];
Problems running dot: exit code=3, command='dot',
arguments='"inherit__graph__0.dot" -Tpng -o "inherit__graph__0.png"'

Expected results:
valid .dot giving inheritance graph

Additional info:
extracted from code generated by gsoap
It worked with doxygen-1.5.1-1 from fc6
Comment 1 Gianluca Varisco 2007-06-13 17:35:41 EDT
According to "Dimitri van Heesch" (doxygen developer) this is a know bug (see
http://bugzilla.gnome.org/show_bug.cgi?id=433630 ) and it has been fixed in CVS
already. Yesterday I opened a thread into doxygen-users mailing list, reporting
upstream the problem that you have noticed here (see
http://sourceforge.net/mailarchive/forum.php?thread_name=466E9A12.7080403%40techtemple.org&forum_name=doxygen-users
). 

The answer from Dimiri is:

"This is a know bug (see http://bugzilla.gnome.org/show_bug.cgi?id=433630)
and has been fixed in CVS already." 
Comment 2 Mads Kiilerich 2007-06-13 18:06:13 EDT
Cool! I hope the fix will be back-ported to F7.
Comment 3 Mads Kiilerich 2007-06-22 17:59:54 EDT
Someone changed this issue to Status CLOSED Resolution UPSTREAM.

I really suggest that it is left as an open bug in the fedora bugtracker until
it has been fixed in fedora. Closing it while it is an open issue is very
confusing and serves noone.
Comment 4 Fedora Update System 2008-01-11 17:02:04 EST
doxygen-1.5.4-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-01-11 17:27:32 EST
doxygen-1.5.4-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.